description

# StringSink class Null safety

Implementers
  - ClosableStringSink
  - IOSink
  - StringBuffer

## Constructors

StringSink()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited
write(Object? obj) → void
  Converts `obj` to a String by invoking Object.toString and adds the result to `this`.
writeAll(Iterable objects, [String separator = ""]) → void
  Iterates over the given `objects` and writes them in sequence.
writeCharCode(int charCode) → void
  Writes the `charCode` to `this`. [...]
writeln([Object? obj = ""]) → void
  Converts `obj` to a String by invoking Object.toString and adds the result to `this`, followed by a newline.

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited